Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::protector< Bind > Struct Template Reference
Functional

## Public Member Functions
template<typename... Ts>
auto | operator() (Ts &&...ts) const noexcept(noexcept(bind_(static_cast< Ts && >(ts)...))) -> decltype(bind_(static_cast< Ts && >(ts)...))
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
template<typename... Ts>
auto | operator() (Ts &&...ts) noexcept(noexcept(bind_(static_cast< Ts && >(ts)...))) -> decltype(bind_(static_cast< Ts && >(ts)...))
| protector (Bind b)